Delete a cluster
Authorizations
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Query Parameters
Indicates the mode to apply on cluster deletion
"hard delete" means that we delete directly from our database, this is different from a "trigger delete" that cleans the resource
DEFAULT: this is the normal way, trigger delete the cluster only if no environment linked to this cluster remainsDELETE_CLUSTER_AND_QOVERY_CONFIG: hard delete environments linked to this cluster then trigger delete the clusterDELETE_QOVERY_CONFIG: ⚠️ ⚠️ ⚠️ hard delete environments linked to this cluster then hard delete the cluster - whole cluster ressources are not deleted on our side and must be deleted on your side
DEFAULT, DELETE_CLUSTER_AND_QOVERY_CONFIG, DELETE_QOVERY_CONFIG "DEFAULT"
When true, skip the pre-destroy Terraform/Helm apply and tear down best-effort, tolerating already-absent resources. Not allowed with deleteMode=DELETE_QOVERY_CONFIG.
Response
The resource was deleted successfully